%global pypi_name flask

%bcond_with docs

Name:           python-flask
Version:        3.1.0
Release:        %mkrel 3
Summary:        A microframework based on Werkzeug, Jinja2 and good intentions
Group:          Development/Python
License:        BSD
URL:            https://github.com/mitsuhiko/flask/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)

%description
A microframework based on Werkzeug, Jinja2 and good intentions.

%package -n     python3-%{pypi_name}
Summary:        A microframework based on Werkzeug, Jinja2 and good intentions
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A microframework based on Werkzeug, Jinja2 and good intentions.

%prep
%autosetup -n %{pypi_name}-%{version}

rm -rf examples/flaskr/
rm -rf examples/minitwit/

# loosen reqs
sed -E -i -e 's/==/>=/g' requirements/docs.txt

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:requirements/docs.txt}

%build
%pyproject_wheel

%if %{with docs}
PYTHONPATH=$(pwd)/src sphinx-build -b html docs/ docs/_build/html/
rm -rf docs/_build/html/{.buildinfo,.doctrees}
%endif

%install
%pyproject_install
%pyproject_save_files flask

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc CHANGES.rst README.md
%{_bindir}/%{pypi_name}*
%if %{with docs}
%doc docs/_build/html examples
%endif


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.1.0-3.mga10
+ Revision: 2237650
- Mageia 10 Mass Rebuild

* Fri Feb 28 2025 daviddavid <daviddavid> 3.1.0-2.mga10
+ Revision: 2153657
- rebuild for python 3.13

* Sat Dec 21 2024 papoteur <papoteur> 3.1.0-1.mga10
+ Revision: 2127063
- new version 3.1.0

* Wed Jun 26 2024 papoteur <papoteur> 3.0.3-1.mga10
+ Revision: 2077093
- new version 3.0.3

* Tue Dec 19 2023 wally <wally> 3.0.0-1.mga10
+ Revision: 2019796
- new version 3.0.0
- use %%pyproject_buildrequires

* Thu Jun 01 2023 papoteur <papoteur> 2.3.2-1.mga9
+ Revision: 1960441
- new 2.3.2

* Tue Mar 14 2023 daviddavid <daviddavid> 2.2.3-1.mga9
+ Revision: 1949002
- new version: 2.2.3, to match with updated python-werkzeug (mga#31617)

* Wed Sep 07 2022 neoclust <neoclust> 2.2.2-1.mga9
+ Revision: 1884714
- New version  2.2.2

* Thu Mar 31 2022 umeabot <umeabot> 2.0.2-2.mga9
+ Revision: 1837211
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 2.0.2-1.mga9
+ Revision: 1774693
- version 2.0.2
- rebuild for python-3.10

* Sat Jul 24 2021 joequant <joequant> 2.0.1-1.mga9
+ Revision: 1737578
- update to 2.0.1

* Thu Mar 18 2021 neoclust <neoclust> 1.1.2-2.mga9
+ Revision: 1704425
- Rebuild against python 3.9

* Fri May 01 2020 daviddavid <daviddavid> 1.1.2-1.mga8
+ Revision: 1577408
- new version: 1.1.2

* Sun Feb 16 2020 umeabot <umeabot> 1.1.1-3.mga8
+ Revision: 1531761
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 wally <wally> 1.1.1-2.mga8
+ Revision: 1439792
- rebuild for python3.8
- drop python2 support

* Mon Aug 19 2019 wally <wally> 1.1.1-1.mga8
+ Revision: 1429972
- new version 1.1.1
- enable doc build

* Fri Apr 19 2019 wally <wally> 1.0.2-1.mga7
+ Revision: 1393372
- new version 1.0.2
- disable doc build for now

* Mon Jan 07 2019 ngompa <ngompa> 0.12.2-7.mga7
+ Revision: 1350307
- Rebuild for Python 3.7
- Modernize Python BRs
- Use python3-sphinx for building documentation

* Thu Sep 20 2018 umeabot <umeabot> 0.12.2-6.mga7
+ Revision: 1288900
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 daviddavid <daviddavid> 0.12.2-5.mga7
+ Revision: 1179873
- fix auto-requires: python-flask-doc does not provides python-pytest-runner

* Tue Aug 08 2017 daviddavid <daviddavid> 0.12.2-4.mga7
+ Revision: 1138791
- provides python-flask

* Sun Aug 06 2017 joequant <joequant> 0.12.2-3.mga7
+ Revision: 1137889
- update package names

* Fri Aug 04 2017 joequant <joequant> 0.12.2-2.mga7
+ Revision: 1134894
- upgrade to python 3.6

* Sun Jul 30 2017 joequant <joequant> 0.12.2-1.mga7
+ Revision: 1132831
- update to 0.12.2

* Fri Feb 19 2016 umeabot <umeabot> 0.10.1-9.mga6
+ Revision: 970624
- Mageia 6 Mass Rebuild

* Thu Nov 06 2014 joequant <joequant> 0.10.1-8.mga6
+ Revision: 795912
- python3 support

* Wed Oct 15 2014 umeabot <umeabot> 0.10.1-7.mga5
+ Revision: 747925
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.10.1-6.mga5
+ Revision: 728517
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.10.1-5.mga5
+ Revision: 688033
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.10.1-3.mga4
+ Revision: 543515
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.10.1-2.mga4
+ Revision: 498610
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 30 2013 neoclust <neoclust> 0.10.1-1.mga4
+ Revision: 460855
- imported package python-flask

